%define        majversion  %(echo %version | cut -d. -f 1-2)

Name:          libglibmm24
Version:       2.66.2
Release:       1mamba
Summary:       A C++ interface for GTK2 (a GUI library for X)
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.gnome.org/
Source:        http://ftp.gnome.org/pub/GNOME/sources/glibmm/%{majversion}/glibmm-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libsigc++2-devel
BuildRequires: libstdc++6-devel
BuildRequires: perl-XML-Parser
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: pkgconfig >= 0.15.0

%description
gtkmm provides a C++ interface to the GTK+ GUI library. gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance and a comprehensive set of widget classes that can be freely combined to quickly create complex user interfaces.

%package devel
Summary:       Headers for developing programs that will use %{name}.
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains the static libraries and header files needed for developing gtkmm applications.

%debug_package

%prep
%setup -q -n glibmm-%{version}

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%{_libdir}/libglibmm-2.*.so.*
%{_libdir}/libgiomm-2.*.so.*
%{_libdir}/libglibmm_generate_extra_defs-2.*.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-, root, root)
%dir %{_includedir}/glibmm-2.?/
%{_includedir}/glibmm-2.?/*
%{_includedir}/giomm-2.?/giomm.h
%{_includedir}/giomm-2.?/giomm/*.h
%{_includedir}/giomm-2.?/giomm/private/*.h
%dir %{_libdir}/glibmm-2.?/
%dir %{_libdir}/glibmm-2.?/proc
%{_libdir}/glibmm-2.?/proc/*
%{_libdir}/giomm-2.?/include/giommconfig.h
%{_libdir}/glibmm-2.?/include/glibmmconfig.h
%{_libdir}/libglibmm-2.*.so
%{_libdir}/libgiomm-2.*.so
%{_libdir}/libglibmm_generate_extra_defs-2.*.so
%{_libdir}/pkgconfig/*.pc
#%{_datadir}/devhelp/books/glibmm-2.?/glibmm-2.?.devhelp?
#%dir %{_datadir}/doc/glibmm-2.?/
#%{_datadir}/doc/glibmm-2.?/*
%doc ChangeLog NEWS README

%changelog
* Sun Jan 02 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.66.2-1mamba
- update to 2.66.2

* Mon Feb 08 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.66.0-2mamba
- legacy package

* Wed Jan 27 2021 Automatic Build System <autodist@mambasoft.it> 2.66.0-1mamba
- automatic version update by autodist

* Wed Dec 23 2020 Automatic Build System <autodist@mambasoft.it> 2.64.5-1mamba
- automatic version update by autodist

* Sun Mar 22 2020 Automatic Build System <autodist@mambasoft.it> 2.64.2-1mamba
- automatic version update by autodist

* Wed Mar 18 2020 Automatic Build System <autodist@mambasoft.it> 2.64.1-1mamba
- automatic version update by autodist

* Thu Oct 31 2019 Automatic Build System <autodist@mambasoft.it> 2.62.0-1mamba
- automatic version update by autodist

* Sun Jul 07 2019 Automatic Build System <autodist@mambasoft.it> 2.60.0-1mamba
- automatic version update by autodist

* Mon Mar 18 2019 Automatic Build System <autodist@mambasoft.it> 2.58.1-1mamba
- automatic version update by autodist

* Sun Feb 03 2019 Automatic Build System <autodist@mambasoft.it> 2.58.0-1mamba
- automatic version update by autodist

* Sat Aug 11 2018 Automatic Build System <autodist@mambasoft.it> 2.56.0-1mamba
- automatic version update by autodist

* Fri Oct 06 2017 Automatic Build System <autodist@mambasoft.it> 2.54.1-1mamba
- automatic version update by autodist

* Fri Jun 23 2017 Automatic Build System <autodist@mambasoft.it> 2.52.0-1mamba
- automatic version update by autodist

* Wed May 17 2017 Automatic Build System <autodist@mambasoft.it> 2.51.7-1mamba
- automatic version update by autodist

* Mon Apr 24 2017 Automatic Build System <autodist@mambasoft.it> 2.51.6-1mamba
- automatic version update by autodist

* Wed Oct 19 2016 Automatic Build System <autodist@mambasoft.it> 2.50.0-1mamba
- automatic version update by autodist

* Mon May 02 2016 Automatic Build System <autodist@mambasoft.it> 2.48.1-1mamba
- automatic version update by autodist

* Mon Dec 14 2015 Automatic Build System <autodist@mambasoft.it> 2.46.3-1mamba
- automatic version update by autodist

* Thu Dec 10 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.46.2-2mamba
- rebuilt with gcc 5.2.0

* Sun Nov 29 2015 Automatic Build System <autodist@mambasoft.it> 2.46.2-1mamba
- automatic version update by autodist

* Tue Apr 21 2015 Automatic Build System <autodist@mambasoft.it> 2.44.0-1mamba
- automatic version update by autodist

* Fri Sep 26 2014 Automatic Build System <autodist@mambasoft.it> 2.42.0-1mamba
- automatic version update by autodist

* Mon Apr 14 2014 Automatic Build System <autodist@mambasoft.it> 2.40.0-1mamba
- automatic version update by autodist

* Fri Apr 11 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.39.93-2mamba
- move %{_libdir}/glibmm-2.?/proc under -devel package

* Sat Apr 05 2014 Automatic Build System <autodist@mambasoft.it> 2.39.93-1mamba
- automatic version update by autodist

* Mon Mar 31 2014 Automatic Build System <autodist@mambasoft.it> 2.39.92-1mamba
- automatic version update by autodist

* Fri Jan 17 2014 Automatic Build System <autodist@mambasoft.it> 2.39.3-1mamba
- automatic version update by autodist

* Tue Nov 19 2013 Automatic Build System <autodist@mambasoft.it> 2.38.1-1mamba
- automatic version update by autodist

* Sun Oct 20 2013 Automatic Build System <autodist@mambasoft.it> 2.38.0-1mamba
- automatic version update by autodist

* Thu May 02 2013 Automatic Build System <autodist@mambasoft.it> 2.36.2-1mamba
- automatic version update by autodist

* Tue Apr 30 2013 Automatic Build System <autodist@mambasoft.it> 2.36.1-1mamba
- automatic version update by autodist

* Tue Apr 16 2013 Automatic Build System <autodist@mambasoft.it> 2.36.0-1mamba
- automatic version update by autodist

* Wed Mar 27 2013 Automatic Build System <autodist@mambasoft.it> 2.35.9-1mamba
- automatic version update by autodist

* Mon Nov 05 2012 Automatic Build System <autodist@mambasoft.it> 2.34.1-1mamba
- automatic version update by autodist

* Sun Oct 21 2012 Automatic Build System <autodist@mambasoft.it> 2.34.0-1mamba
- automatic version update by autodist

* Sun Oct 14 2012 Automatic Build System <autodist@mambasoft.it> 2.33.14-1mamba
- automatic version update by autodist

* Thu Sep 27 2012 Automatic Build System <autodist@mambasoft.it> 2.33.13-1mamba
- automatic version update by autodist

* Wed Jul 11 2012 Automatic Build System <autodist@mambasoft.it> 2.32.1-1mamba
- automatic version update by autodist

* Tue Apr 10 2012 Automatic Build System <autodist@mambasoft.it> 2.32.0-1mamba
- automatic version update by autodist

* Sun Apr 01 2012 Automatic Build System <autodist@mambasoft.it> 2.31.22-1mamba
- update to 2.31.22

* Wed Nov 09 2011 Automatic Build System <autodist@mambasoft.it> 2.31.0.2-1mamba
- automatic version update by autodist

* Mon Oct 03 2011 Automatic Build System <autodist@mambasoft.it> 2.30.0-1mamba
- automatic version update by autodist

* Tue Jun 14 2011 Automatic Build System <autodist@mambasoft.it> 2.28.2-1mamba
- automatic update by autodist

* Thu May 12 2011 Automatic Build System <autodist@mambasoft.it> 2.28.1-1mamba
- automatic update by autodist

* Tue Apr 05 2011 Automatic Build System <autodist@mambasoft.it> 2.27.99.2-1mamba
- automatic update by autodist

* Mon Oct 25 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.24.2-2mamba
- rebuilt to add pkgconfig provides

* Sun May 30 2010 Automatic Build System <autodist@mambasoft.it> 2.24.2-1mamba
- automatic update to 2.24.2 by autodist

* Mon Mar 30 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.18.2-1mamba
- automatic update by autodist

* Fri Jan 30 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.18.1-1mamba
- automatic update by autodist

* Fri Oct 03 2008 gil <puntogil@libero.it> 2.18.0-1mamba
- update to 2.18.0

* Thu Jun 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.16.2-1mamba
- update to 2.16.2

* Tue Apr 10 2007 Tiziano Pratellesi <tiziano.pratellesi@openmamba.org> 2.13.3-1mamba
- update to version 2.13.3

* Thu Jun 15 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 2.8.9-1qilnx
- update to version 2.8.9 by autospec

* Mon Aug 29 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.6.1-1qilnx
- update to version 2.6.1 by autospec

* Thu Dec 16 2004 Davide Madrisan <davide.madrisan@qilinux.it> 2.4.5-2qilnx
- specfile cleanups
- package rebuild and moved to QiLinux official repository

* Wed Dec 15 2004 Matteo Bernasconi <voyagernm@virgilio.it> 2.4.5-1qilnx
- first build
